javax.jdo.query

## Interface MapExpression<T extends Map<K,V>,K,V>

- Type Parameters:
    `T` - Java type being represented here
    `K` - Key type of the map being represented here
    `V` - Value type of the map being represented here
  All Superinterfaces:
    Expression<T>

      public interface MapExpression<T extends Map<K,V>,K,V>
      extends Expression<T>

  Representation of a map in a query.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `containsEntry(Expression<Map.Entry<K,V>> expr)` Method returning whether the specified entry expression is contained in this map.
    `BooleanExpression` | `containsEntry(Map.Entry<K,V> entry)` Method returning whether the specified entry is contained in this map.
    `BooleanExpression` | `containsKey(Expression<K> expr)` Method returning whether the specified key expression is contained in this map.
    `BooleanExpression` | `containsKey(K key)` Method returning whether the specified key is contained in this map.
    `BooleanExpression` | `containsValue(Expression<V> expr)` Method returning whether the specified value expression is contained in this map.
    `BooleanExpression` | `containsValue(V value)` Method returning whether the specified value is contained in this map.
    `Expression<V>` | `get(Expression<K> key)` Method returning an expression for the value of the specified key in the map.
    `Expression<V>` | `get(K key)` Method returning an expression for the value of the specified key in the map.
    `BooleanExpression` | `isEmpty()` Method returning whether the map is empty.
    `NumericExpression<Integer>` | `size()` Method returning an expression for the size of the map

    - ### Methods inherited from interface javax.jdo.query.Expression

      `as, cast, count, countDistinct, eq, eq, instanceOf, ne, ne`

- - ### Method Detail

    - #### get

          Expression<V> get(Expression<K> key)

      Method returning an expression for the value of the specified key in the map.
      Parameters:
        `key` - The key expression
      Returns:
        the value for the specified key

    - #### get

          Expression<V> get(K key)

      Method returning an expression for the value of the specified key in the map.
      Parameters:
        `key` - The key expression
      Returns:
        the value for the specified key

    - #### containsKey

          BooleanExpression containsKey(Expression<K> expr)

      Method returning whether the specified key expression is contained in this map.
      Parameters:
        `expr` - The key expression
      Returns:
        Whether it is contained here

    - #### containsKey

          BooleanExpression containsKey(K key)

      Method returning whether the specified key is contained in this map.
      Parameters:
        `key` - The key
      Returns:
        Whether it is contained here

    - #### containsValue

          BooleanExpression containsValue(Expression<V> expr)

      Method returning whether the specified value expression is contained in this map.
      Parameters:
        `expr` - The value expression
      Returns:
        Whether it is contained here

    - #### containsValue

          BooleanExpression containsValue(V value)

      Method returning whether the specified value is contained in this map.
      Parameters:
        `value` - The value
      Returns:
        Whether it is contained here

    - #### containsEntry

          BooleanExpression containsEntry(Expression<Map.Entry<K,V>> expr)

      Method returning whether the specified entry expression is contained in this map.
      Parameters:
        `expr` - The entry expression
      Returns:
        Whether it is contained here

    - #### containsEntry

          BooleanExpression containsEntry(Map.Entry<K,V> entry)

      Method returning whether the specified entry is contained in this map.
      Parameters:
        `entry` - The entry expression
      Returns:
        Whether it is contained here

    - #### isEmpty

          BooleanExpression isEmpty()

      Method returning whether the map is empty.
      Returns:
        Whether it is empty

    - #### size

          NumericExpression<Integer> size()

      Method returning an expression for the size of the map
      Returns:
        The size

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.